%define anolis_release 1
%bcond_without perl_Software_License_enables_extra_test
%bcond_without perl_Software_License_enables_optional_test

Name:           perl-Software-License
Epoch:          1
Version:        0.104001
Release:        %{anolis_release}%{?dist}
Summary:        Package that provides templated software licenses
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Software-License
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Software-License-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Section)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
%if %{with perl_Software_License_enables_optional_test}
# Optional Tests
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(Software::License::CCpack)
%endif
%if %{with perl_Software_License_enables_extra_test}
# Extra Tests
BuildRequires:  perl(Encode)
BuildRequires:  perl(Test::Pod)
%endif
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
%description
Software-License contains templates for common open source software licenses.
 
%prep
%setup -q -n Software-License-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
 
%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}
 
%check
make test
%if %{with perl_Software_License_enables_extra_test}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif
 
%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License.3*
%{_mandir}/man3/Software::License::*.3*
%{_mandir}/man3/Software::LicenseUtils.3*
 
%changelog
* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.104001-1
- Init package from upstream
